document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Sample business data
  const businesses = [
    {
      name: 'Cafe Delicious',
      category: 'Restaurant',
      rating: 4.5,
      image: '🍽️',
      location: 'Downtown'
    },
    {
      name: 'Tech Solutions',
      category: 'Services',
      rating: 4.8,
      image: '💻',
      location: 'Midtown'
    },
    {
      name: 'Wellness Center',
      category: 'Health',
      rating: 4.7,
      image: '🏥',
      location: 'Uptown'
    }
  ];

  // Populate featured businesses
  const businessGrid = document.getElementById('businessGrid');
  
  businesses.forEach(business => {
    const businessCard = document.createElement('div');
    businessCard.className = 'category-card';
    businessCard.innerHTML = `
      <div class="category-icon">${business.image}</div>
      <h3>${business.name}</h3>
      <p>${business.category}</p>
      <p>⭐ ${business.rating}</p>
      <p>${business.location}</p>
    `;
    businessGrid.appendChild(businessCard);
  });

  // Search functionality
  const searchButton = document.querySelector('.search-button');
  const searchBusiness = document.getElementById('searchBusiness');
  const searchLocation = document.getElementById('searchLocation');

  searchButton?.addEventListener('click', () => {
    const businessQuery = searchBusiness.value.toLowerCase();
    const locationQuery = searchLocation.value.toLowerCase();
    
    // Filter businesses (to be implemented with actual data)
    console.log(`Searching for ${businessQuery} in ${locationQuery}`);
  });
});
